Package org.apache.ignite.internal.processors.cache.query

## Interface GridCacheQueryMarshallable

    public interface GridCacheQueryMarshallable

Message which needs to be marshalled and unmarshalled before sending or processing it.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `marshall​(Marshaller m)`
`void` `unmarshall​(Marshaller m, GridKernalContext ctx)`

### Method Detail

#### marshall

    void marshall​(Marshaller m)

Parameters:
  `m` - Marshaller.

#### unmarshall

    void unmarshall​(Marshaller m,
                    GridKernalContext ctx)

Parameters:
  `m` - Marshaller.
  `ctx` - Context.